Bug 68070 - [maintainer update] mail/msgconvert - add dependency
Summary: [maintainer update] mail/msgconvert - add dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-18 08:50 UTC by Franz Klammer
Modified: 2004-06-18 18:12 UTC (History)
0 users

See Also:


Attachments
msgconvert.diff (749 bytes, patch)
2004-06-18 08:50 UTC, Franz Klammer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Klammer 2004-06-18 08:50:22 UTC

add missing dependency to devel/p5-TimeDate
Comment 1 Franz Klammer 2004-06-18 16:23:08 UTC
Yen-Ming Lee wrote:
> Hi,
> 
> please review this patch.
> 
> p5-PodParser should be a conditional dependency.
> It conflicts with perl 5.6 or above.
> 

msgconvert is one of my maintain-only port because i didn't use it any more.
think you know what you are doing therefore feel free to commit this patch.

thanks

franz.

> regards,
> 
> 
> ------------------------------------------------------------------------
> 
> Index: Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/mail/msgconvert/Makefile,v
> retrieving revision 1.5
> diff -u -r1.5 Makefile
> --- Makefile	16 Jun 2004 15:11:13 -0000	1.5
> +++ Makefile	18 Jun 2004 14:26:47 -0000
> @@ -7,6 +7,7 @@
>  
>  PORTNAME=	msgconvert
>  PORTVERSION=	20040531
> +PORTREVISION=	1
>  CATEGORIES=	mail perl5
>  MASTER_SITES=	http://www.webonaut.com/distfiles/
>  DISTNAME=	${PORTNAME}-${PORTVERSION}.pl
> @@ -17,7 +18,7 @@
>  
>  RUN_DEPENDS=	${SITE_PERL}/OLE/Storage_Lite.pm:${PORTSDIR}/devel/p5-OLE-Storage_Lite \
>  		${SITE_PERL}/MIME/Words.pm:${PORTSDIR}/mail/p5-MIME-Tools \
> -		${SITE_PERL}/Pod/Parser.pm:${PORTSDIR}/textproc/p5-PodParser
> +		${SITE_PERL}/Date/Format.pm:${PORTSDIR}/devel/p5-TimeDate
>  
>  NO_BUILD=	yes
>  NO_WRKSUBDIR=	yes
> @@ -30,4 +31,11 @@
>  	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME}.pl ${PREFIX}/bin/${PORTNAME}.pl
>  	${LN} -s ${PREFIX}/bin/${PORTNAME}.pl ${PREFIX}/bin/${PORTNAME}
>  
> -.include <bsd.port.mk>
> +
> +.include <bsd.port.pre.mk>
> +
> +.if ${PERL_LEVEL} < 500600
> +RUN_DEPENDS+=	${SITE_PERL}/Pod/Usage.pm:${PORTSDIR}/textproc/p5-PodParser
> +.endif
> +
> +.include <bsd.port.post.mk>

-- 
webonaut.com :: web technology
klammer@webonaut.com :: http://webonaut.com/
fon +43-664-3434708
--
MIG_media intelligence group > agentur für werbung & neue medien
A-5020 Salzburg > Linzergasse 21

Fon +43-662-453091-0 > Fax -99
office@mig.co.at > http://www.mig.co.at
--
Comment 2 Yen-Ming Lee freebsd_committer 2004-06-18 18:12:54 UTC
State Changed
From-To: open->closed

Committed, thanks.